## libkf5mailimporter 22.12.0

=== debian/changelog ===
libkf5mailimporter (4:22.12.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 04 Jan 2023 21:36:33 +0100

libkf5mailimporter (4:22.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Thu, 22 Dec 2022 21:05:04 +0100

libkf5mailimporter (4:22.08.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Fri, 04 Nov 2022 21:54:48 +0100

libkf5mailimporter (4:22.08.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 00:12:11 +0200

libkf5mailimporter (4:22.08.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 10 Sep 2022 13:09:31 +0200

libkf5mailimporter (4:22.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.
  * Bump Standards-Version to 4.6.1 (No changes needed).
  * New upstream release (22.08.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Aug 2022 01:46:24 +0200

libkf5mailimporter (4:22.04.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Thu, 14 Jul 2022 21:57:52 +0200

libkf5mailimporter (4:22.04.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 27 Jun 2022 22:02:38 +0200

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.0~),
               libkf5akonadimime-dev (>= 4:22.12.0~),
               libkf5archive-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mime-dev (>= 22.12.0~),
               libkf5pimcommon-dev (>= 4:22.12.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/mailimporter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
Rules-Requires-Root: no

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.12.0~),
         libkf5akonadimime-dev (>= 4:22.12.0~),
         libkf5archive-dev (>= 5.99.0~),
         libkf5mailimporter5 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 22.12.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library, devel files
 Contains development files for building software that uses the library for
 importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailimporter-dev (<< 4:19.08.2-1~)
Replaces: libkf5mailimporter-dev (<< 4:19.08.2-1~)
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

## libkf5mailimporter 22.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.22.3")

project(MailImporter VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.99.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddTests)

set(MAILIMPORTER_LIB ${PIM_VERSION})
include(ECMAddQch)


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")


set(AKONADIMIME_LIB_VERSION "5.22.3")
set(QT_REQUIRED_VERSION "5.15.2")
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
endif()
set(KMIME_LIB_VERSION "5.22.3")
set(AKONADI_VERSION "5.22.3")
set(PIMCOMMON_LIB_VERSION "5.22.3")

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Xml)

find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
########### Targets ###########


ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)


########### CMake Config Files ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libmailimporter\")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

add_subdirectory(src)

ecm_qt_install_logging_categories(
        EXPORT MAILIMPORTER
        FILE mailimporter.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
libkf5mailimporter (4:22.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Wed, 01 Mar 2023 21:33:04 +0100

libkf5mailimporter (4:22.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Feb 2023 00:27:05 +0100

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.12.3~),
               libkf5akonadimime-dev (>= 4:22.12.3~),
               libkf5archive-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5i18n-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5mime-dev (>= 22.12.3~),
               libkf5pimcommon-dev (>= 4:22.12.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/mailimporter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
Rules-Requires-Root: no

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.12.3~),
         libkf5akonadimime-dev (>= 4:22.12.3~),
         libkf5archive-dev (>= 5.99.0~),
         libkf5mailimporter5 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 22.12.3~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library, devel files
 Contains development files for building software that uses the library for
 importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5mailimporter-dev (<< 4:19.08.2-1~),
Replaces: libkf5mailimporter-dev (<< 4:19.08.2-1~),
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage},

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage},

## libkf5mailimporter 23.08.0

=== debian/changelog ===
libkf5mailimporter (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:01:35 +0100

libkf5mailimporter (4:23.07.90-0ubuntu1) mantic; urgency=medium

  [ Rik Mills ]
  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

  [ José Manuel Santamaría Lema ]
  * Update installed files

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:40:59 +0100

libkf5mailimporter (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:57:16 +0100

libkf5mailimporter (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * Rename library packages:
    - libkf5mailimporter5abi1 -> libkpim5mailimporter5
    - libkf5mailimporterakonadi5 -> libkpim5mailimporterakonadi5
  * Update installed files
  * Drop enable_debian_abi_manager.diff
  * Rename data package: libkf5mailimporter-data -> libkpim5mailimporter-
    data
  * Sync debian/rules with debian, provide virtual ABI package
  * Remove symbols files, no longer used
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:01:13 +0100

libkf5mailimporter (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:45:50 +0000

libkf5mailimporter (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:29:26 -0600

libkf5mailimporter (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:27:43 +0000

libkf5mailimporter (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:17:40 +0000

libkf5mailimporter (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:13:50 +0000

libkf5mailimporter (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:41:07 +0000

libkf5mailimporter (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:36 +0000

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadicontact-dev (>= 4:23.08.0~),
               libkf5akonadimime-dev (>= 4:23.08.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 23.08.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:23.08.0~),
               libkf5mime-dev (>= 23.08.0~),
               libkf5pimcommon-dev (>= 4:23.08.0~),
               libkf5textaddons-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter

Package: libkpim5mailimporter-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: libkf5mailimporter-data (<< 4:23.04.1~),
          ${kde-l10n:all},
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.0~),
         libkf5akonadimime-dev (>= 4:23.08.0~),
         libkf5mime-dev (>= 23.08.0~),
         libkpim5mailimporter5 (= ${binary:Version}),
         libkpim5mailimporterakonadi5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library, devel files
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkpim5mailimporter5
Architecture: any
Multi-Arch: same
Depends: libkpim5mailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkpim5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${ABI:VirtualPackage},
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.

## libkf5mailimporter 23.08.1

=== debian/changelog ===
libkf5mailimporter (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:33 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadicontact-dev (>= 4:23.08.0~),
-               libkf5akonadimime-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadicontact-dev (>= 4:23.08.1~),
+               libkf5akonadimime-dev (>= 4:23.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.0~),
+               libkf5grantleetheme-dev (>= 23.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.0~),
-               libkf5mime-dev (>= 23.08.0~),
-               libkf5pimcommon-dev (>= 4:23.08.0~),
+               libkf5libkdepim-dev (>= 4:23.08.1~),
+               libkf5mime-dev (>= 23.08.1~),
+               libkf5pimcommon-dev (>= 4:23.08.1~),
                libkf5textaddons-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -42,9 +42,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.0~),
-         libkf5akonadimime-dev (>= 4:23.08.0~),
-         libkf5mime-dev (>= 23.08.0~),
+Depends: libkf5akonadi-dev (>= 4:23.08.1~),
+         libkf5akonadimime-dev (>= 4:23.08.1~),
+         libkf5mime-dev (>= 23.08.1~),
          libkpim5mailimporter5 (= ${binary:Version}),
          libkpim5mailimporterakonadi5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),

## libkf5mailimporter 23.08.4

=== debian/changelog ===
libkf5mailimporter (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:22:45 +0000

libkf5mailimporter (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:16 +0000

libkf5mailimporter (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:39:19 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadicontact-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadicontact-dev (>= 4:23.08.4~),
+               libkf5akonadimime-dev (>= 4:23.08.4~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
+               libkf5grantleetheme-dev (>= 23.08.4~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5mime-dev (>= 23.08.1~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.4~),
+               libkf5mime-dev (>= 23.08.4~),
+               libkf5pimcommon-dev (>= 4:23.08.4~),
                libkf5textaddons-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -42,9 +42,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadimime-dev (>= 4:23.08.1~),
-         libkf5mime-dev (>= 23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.4~),
+         libkf5akonadimime-dev (>= 4:23.08.4~),
+         libkf5mime-dev (>= 23.08.4~),
          libkpim5mailimporter5 (= ${binary:Version}),
          libkpim5mailimporterakonadi5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),

## libkf5mailimporter 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.22.3")
+set(PIM_VERSION "5.24.5")
 
 project(MailImporter VERSION ${PIM_VERSION})
 
-set(KF5_MIN_VERSION "5.99.0")
+set(KF_MIN_VERSION "5.105.0")
 
-find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -35,31 +35,35 @@
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 
-set(AKONADIMIME_LIB_VERSION "5.22.3")
+set(AKONADIMIME_LIB_VERSION "5.24.5")
 set(QT_REQUIRED_VERSION "5.15.2")
 if (QT_MAJOR_VERSION STREQUAL "6")
     set(QT_REQUIRED_VERSION "6.4.0")
+    set(KF_MIN_VERSION "5.240.0")
+    set(KF_MAJOR_VERSION "6")
+else()
+    set(KF_MAJOR_VERSION "5")
 endif()
-set(KMIME_LIB_VERSION "5.22.3")
-set(AKONADI_VERSION "5.22.3")
-set(PIMCOMMON_LIB_VERSION "5.22.3")
+set(KMIME_LIB_VERSION "5.24.5")
+set(AKONADI_VERSION "5.24.5")
+set(PIMCOMMON_LIB_VERSION "5.24.5")
 
 find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Xml)
 
-find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
-find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}Config ${KF_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 
-find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
-find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
-find_package(KF5PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
+find_package(KPim${KF_MAJOR_VERSION}PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
 ########### Targets ###########
 
 
-ecm_set_disabled_deprecation_versions(QT 5.15.2 KF 5.99.0)
+ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)
 
 
 ########### CMake Config Files ###########

=== src/mailimporter/CMakeLists.txt ===
########### CMake Config Files ###########

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailImporterConfigVersion.cmake"
    SOVERSION 5
    )


add_library(KPim${KF_MAJOR_VERSION}MailImporter)
add_library(KPim${KF_MAJOR_VERSION}::MailImporter ALIAS KPim${KF_MAJOR_VERSION}MailImporter)


target_sources(KPim${KF_MAJOR_VERSION}MailImporter PRIVATE
    filters/filteroe.cpp
    filters/filterpmail.cpp
    filters/filterplain.cpp
    filters/filtermbox.cpp
    filters/filterevolution.cpp
    filters/filtermailapp.cpp
    filters/filterevolution_v2.cpp
    filters/filterevolution_v3.cpp
    filters/filteropera.cpp
    filters/filterthunderbird.cpp
    filters/filterkmail_maildir.cpp
    filters/filtersylpheed.cpp
    filters/filterclawsmail.cpp
    filters/filterthebat.cpp
    filters/filterlnotes.cpp
    filters/filterkmailarchive.cpp
    filters/filtermailmangzip.cpp
    filters/filtericedove.cpp
    filters/filterbalsa.cpp
    filters/filterseamonkey.cpp
    messagestatus.cpp
    importmailswidget.cpp
    filterinfogui.cpp
    filterinfo.cpp
    filters.cpp
    filterimporterbase.cpp
    othermailerutil.cpp
    selectthunderbirdprofilewidget.cpp
    messagestatus.h
    selectthunderbirdprofilewidget.h
    filters/filterclawsmail.h
    filters/filterseamonkey.h
    filters/filterevolution_v3.h
    filters/filteroe.h
    filters/filtermailapp.h
    filters/filterkmail_maildir.h
    filters/filtericedove.h
    filters/filtermailmangzip.h
    filters/filterpmail.h
    filters/filterthunderbird.h
    filters/filterlnotes.h
    filters/filterevolution_v2.h
    filters/filterkmailarchive.h
    filters/filteropera.h
    filters/filtersylpheed.h
    filters/filterthebat.h
    filters/filterbalsa.h
    filters/filterevolution.h
    filters/filtermbox.h
    filters/filterplain.h
    filterinfogui.h
    othermailerutil.h
    mailimporter_utils.h
    importmailswidget.h
    filterimporterbase.h
    filters.h
    mailimporter_private_export.h
    filterinfo.h
    )


ki18n_wrap_ui(KPim${KF_MAJOR_VERSION}MailImporter ui/importmailswidget.ui ui/selectthunderbirdprofilewidget.ui)

ecm_qt_declare_logging_category(KPim${KF_MAJOR_VERSION}MailImporter HEADER mailimporter_debug.h IDENTIFIER MAILIMPORTER_LOG CATEGORY_NAME org.kde.pim.mailimporter
        DESCRIPTION "mailimporter (mailimporter)"
        OLD_CATEGORY_NAMES log_mailimporter
        EXPORT MAILIMPORTER
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}MailImporter PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header( KPim${KF_MAJOR_VERSION}MailImporter BASE_NAME mailimporter)

target_include_directories(KPim${KF_MAJOR_VERSION}MailImporter INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporter/>")
target_include_directories(KPim${KF_MAJOR_VERSION}MailImporter PUBLIC "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>")


target_link_libraries(KPim${KF_MAJOR_VERSION}MailImporter
    PUBLIC
    KF${KF_MAJOR_VERSION}::Archive
    PRIVATE
    KPim${KF_MAJOR_VERSION}::PimCommon
    KF${KF_MAJOR_VERSION}::I18n
    KF${KF_MAJOR_VERSION}::ConfigCore
    Qt::Xml
    Qt::Widgets
    )

set_target_properties(KPim${KF_MAJOR_VERSION}MailImporter PROPERTIES
    VERSION ${MAILIMPORTER_VERSION}
    SOVERSION ${MAILIMPORTER_SOVERSION}
    EXPORT_NAME MailImporter
    )

install(TARGETS
    KPim${KF_MAJOR_VERSION}MailImporter
    EXPORT KPim${KF_MAJOR_VERSION}MailImporterTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )

ecm_generate_headers(MailImporter_CamelCase_HEADERS
    HEADER_NAMES
    FilterImporterBase
    FilterInfoGui
    OtherMailerUtil
    ImportMailsWidget
    MailImporter_Utils
    Filters
    FilterInfo
    MessageStatus
    REQUIRED_HEADERS MailImporter_HEADERS
    PREFIX MailImporter
    )

ecm_generate_headers(MailImporter_FiltersCamelCase_HEADERS
    HEADER_NAMES
    FilterClawsMail
    FilterBalsa
    FilterSylpheed
    FilterTheBat
    FilterEvolution
    FilterThunderbird
    FilterEvolution_v2
    FilterEvolution_v3
    FilterMailApp
    FilterMailmanGzip
    FilterPlain
    FilterPMail
    FilterMBox
    FilterOpera
    FilterLNotes
    FilterOE
    FilterKMail_maildir
    FilterKMailArchive
    FilterIcedove
    FilterSeaMonkey
    REQUIRED_HEADERS MailImporter_Filters_HEADERS
    PREFIX MailImporter
    RELATIVE filters
    )


ecm_generate_pri_file(BASE_NAME MailImporter
    LIB_NAME KPim${KF_MAJOR_VERSION}MailImporter
    DEPS "KArchive" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporter
    )


install(FILES
    ${MailImporter_CamelCase_HEADERS}
    ${MailImporter_FiltersCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporter/MailImporter
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_export.h
    ${MailImporter_HEADERS}
    ${MailImporter_Filters_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporter/mailimporter
    COMPONENT Devel
    )
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}MailImporter_QCH
        NAME KMailImporter
        BASE_NAME KPim${KF_MAJOR_VERSION}MailImporter
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailImporter_HEADERS}
            ${MailImporter_Filters_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILIMPORTER_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}MailImporter")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim${KF_MAJOR_VERSION}MailImporter_QCH
        FILE KPim${KF_MAJOR_VERSION}MailImporterQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}MailImporterQchTargets.cmake\")")
endif()


configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailImporterConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailImporterConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )


install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailImporterConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailImporterConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KPim${KF_MAJOR_VERSION}MailImporterTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim${KF_MAJOR_VERSION}MailImporterTargets.cmake NAMESPACE KPim${KF_MAJOR_VERSION}::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporter COMPONENT Devel
    )

=== src/mailimporterakonadi/CMakeLists.txt ===
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim${KF_MAJOR_VERSION}MailImporterAkonadi")

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailImporterAkonadiConfigVersion.cmake"
    SOVERSION 5
    )

add_library(KPim${KF_MAJOR_VERSION}MailImporterAkonadi)
add_library(KPim${KF_MAJOR_VERSION}::MailImporterAkonadi ALIAS KPim${KF_MAJOR_VERSION}MailImporterAkonadi)


target_sources(KPim${KF_MAJOR_VERSION}MailImporterAkonadi PRIVATE
    filterimporterakonadi.cpp
    filterimporterakonadi.h
    )

ecm_qt_declare_logging_category(KPim${KF_MAJOR_VERSION}MailImporterAkonadi HEADER mailimporterakonadi_debug.h IDENTIFIER MAILIMPORTERAKONADI_LOG CATEGORY_NAME org.kde.pim.mailimporterakonadi
        DESCRIPTION "mailimporterakonadi (mailimporter)"
        EXPORT MAILIMPORTER
    )



if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim${KF_MAJOR_VERSION}MailImporterAkonadi PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header( KPim${KF_MAJOR_VERSION}MailImporterAkonadi BASE_NAME mailimporterakonadi)

target_include_directories(KPim${KF_MAJOR_VERSION}MailImporterAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporterAkonadi/>")
target_include_directories(KPim${KF_MAJOR_VERSION}MailImporterAkonadi PUBLIC "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>")


target_link_libraries(KPim${KF_MAJOR_VERSION}MailImporterAkonadi
    PUBLIC
    KPim${KF_MAJOR_VERSION}::MailImporter
    KPim${KF_MAJOR_VERSION}::AkonadiCore
    PRIVATE
    KPim${KF_MAJOR_VERSION}::Mime
    KPim${KF_MAJOR_VERSION}::AkonadiMime
    KF${KF_MAJOR_VERSION}::I18n
    )

set_target_properties(KPim${KF_MAJOR_VERSION}MailImporterAkonadi PROPERTIES
    VERSION ${MAILIMPORTER_VERSION}
    SOVERSION ${MAILIMPORTER_SOVERSION}
    EXPORT_NAME MailImporterAkonadi
    )

install(TARGETS
    KPim${KF_MAJOR_VERSION}MailImporterAkonadi
    EXPORT KPim${KF_MAJOR_VERSION}MailImporterAkonadiTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
    )


ecm_generate_headers(MailImporter_AkonadiCamelCase_HEADERS
    HEADER_NAMES
    FilterImporterAkonadi
    REQUIRED_HEADERS MailImporter_Akonadi_HEADERS
    PREFIX MailImporterAkonadi
    )


ecm_generate_pri_file(BASE_NAME MailImporterAkonadi
    LIB_NAME KPim${KF_MAJOR_VERSION}MailImporterAkonadi
    DEPS "MailImporter AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporterAkonadi
    )


install(FILES
    ${MailImporter_AkonadiCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporterAkonadi/MailImporterAkonadi
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_export.h
    ${MailImporter_Akonadi_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporterAkonadi/mailimporterakonadi
    COMPONENT Devel
    )
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()


if (BUILD_QCH)
    ecm_add_qch(
        KPim${KF_MAJOR_VERSION}MailImporterAkonadi_QCH
        NAME KPim${KF_MAJOR_VERSION}MailImporterAkonadi
        BASE_NAME KPim${KF_MAJOR_VERSION}MailImporterAkonadi
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailImporter_Akonadi_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt${QT_MAJOR_VERSION}Core_QCH
            Qt${QT_MAJOR_VERSION}Gui_QCH
            Qt${QT_MAJOR_VERSION}Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILIMPORTERAKONADI_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()


if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim${KF_MAJOR_VERSION}MailImporterAkonadi_QCH
        FILE KPim${KF_MAJOR_VERSION}MailImporterAkonadiQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim${KF_MAJOR_VERSION}MailImporterAkonadiQchTargets.cmake\")")
endif()
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMailImporterAkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailImporterAkonadiConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )



install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailImporterAkonadiConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim${KF_MAJOR_VERSION}MailImporterAkonadiConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KPim${KF_MAJOR_VERSION}MailImporterAkonadiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPim${KF_MAJOR_VERSION}MailImporterAkonadiTargets.cmake NAMESPACE KPim${KF_MAJOR_VERSION}::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim${KF_MAJOR_VERSION}/MailImporterAkonadi COMPONENT Devel
    )

=== src/mailimporterakonadi/autotests/CMakeLists.txt ===
macro(add_mailimporterakonadi_unittest _source _additionalSource)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_additionalSource} ${_name}.h
        TEST_NAME ${_name}-akonadi
        NAME_PREFIX "mailimporterakonadi-"
        LINK_LIBRARIES KPim${KF_MAJOR_VERSION}::MailImporterAkonadi Qt::Test Qt::Core Qt::Gui Qt::Widgets
    )
endmacro ()

add_mailimporterakonadi_unittest(filterimporterakonaditest.cpp "")
add_mailimporterakonadi_unittest(filterthunderbirdtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filtericedovetest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filterclawsmailtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filtersylpheedtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filterlnotestest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filtermailapptest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filterthebattest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filtermboxtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filterbalsamailtest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filterplaintest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")
add_mailimporterakonadi_unittest(filtermailmangziptest.cpp "filterimportertest.cpp;filterimportertestutil.cpp")

=== debian/changelog ===
libkf5mailimporter (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:05:04 +0000

libkf5mailimporter (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:37:38 +0000

libkf5mailimporter (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:26:25 -0700

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadicontact-dev (>= 4:23.08.4~),
-               libkf5akonadimime-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadicontact-dev (>= 4:23.08.5~),
+               libkf5akonadimime-dev (>= 4:23.08.5~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 23.08.4~),
+               libkf5grantleetheme-dev (>= 23.08.5~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:23.08.4~),
-               libkf5mime-dev (>= 23.08.4~),
-               libkf5pimcommon-dev (>= 4:23.08.4~),
+               libkf5libkdepim-dev (>= 4:23.08.5~),
+               libkf5mime-dev (>= 23.08.5~),
+               libkf5pimcommon-dev (>= 4:23.08.5~),
                libkf5textaddons-dev,
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
@@ -42,9 +42,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.4~),
-         libkf5akonadimime-dev (>= 4:23.08.4~),
-         libkf5mime-dev (>= 23.08.4~),
+Depends: libkf5akonadi-dev (>= 4:23.08.5~),
+         libkf5akonadimime-dev (>= 4:23.08.5~),
+         libkf5mime-dev (>= 23.08.5~),
          libkpim5mailimporter5 (= ${binary:Version}),
          libkpim5mailimporterakonadi5 (= ${binary:Version}),
          qtbase5-dev (>= 5.6.1~),
